# eric4.Preferences.ConfigurationPages.EditorAPIsPage

Module implementing the Editor APIs configuration page.

### Classes

EditorAPIsPage | Class implementing the Editor APIs configuration page.

### Functions

create | Module function to create the configuration page.

## EditorAPIsPage

Class implementing the Editor APIs configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorAPIsPage

### Methods

EditorAPIsPage | Constructor
__apiPreparationCancelled | Private slot called after the API preparation has been cancelled.
__apiPreparationFinished | Private method called after the API preparation has finished.
__apiPreparationStarted | Private method called after the API preparation has started.
__editorGetApisFromApiList | Private slot to retrieve the api filenames from the list.
on_addApiFileButton_clicked | Private slot to add the api file displayed to the listbox.
on_addInstalledApiFileButton_clicked | Private slot to add an API file from the list of installed API files for the selected lexer language.
on_addPluginApiFileButton_clicked | Private slot to add an API file from the list of API files installed by plugins for the selected lexer language.
on_apiFileButton_clicked | Private method to select an api file.
on_apiLanguageComboBox_activated | Private slot to fill the api listbox of the api page.
on_deleteApiFileButton_clicked | Private slot to delete the currently selected file of the listbox.
on_prepareApiButton_clicked | Private slot to prepare the API file for the currently selected language.
save | Public slot to save the Editor APIs configuration.
saveState | Public method to save the current state of the widget.
setState | Public method to set the state of the widget.

#### EditorAPIsPage (Constructor)

EditorAPIsPage()

Constructor

#### EditorAPIsPage.__apiPreparationCancelled

__apiPreparationCancelled()

Private slot called after the API preparation has been cancelled.

#### EditorAPIsPage.__apiPreparationFinished

__apiPreparationFinished()

Private method called after the API preparation has finished.

#### EditorAPIsPage.__apiPreparationStarted

__apiPreparationStarted()

Private method called after the API preparation has started.

#### EditorAPIsPage.__editorGetApisFromApiList

__editorGetApisFromApiList()

Private slot to retrieve the api filenames from the list.

Returns:
  list of api filenames (QStringList)

#### EditorAPIsPage.on_addApiFileButton_clicked

on_addApiFileButton_clicked()

Private slot to add the api file displayed to the listbox.

#### EditorAPIsPage.on_addInstalledApiFileButton_clicked

on_addInstalledApiFileButton_clicked()

Private slot to add an API file from the list of installed API files for the selected lexer language.

#### EditorAPIsPage.on_addPluginApiFileButton_clicked

on_addPluginApiFileButton_clicked()

Private slot to add an API file from the list of API files installed by plugins for the selected lexer language.

#### EditorAPIsPage.on_apiFileButton_clicked

on_apiFileButton_clicked()

Private method to select an api file.

#### EditorAPIsPage.on_apiLanguageComboBox_activated

on_apiLanguageComboBox_activated(language)

Private slot to fill the api listbox of the api page.

language
  selected API language (QString)

#### EditorAPIsPage.on_deleteApiFileButton_clicked

on_deleteApiFileButton_clicked()

Private slot to delete the currently selected file of the listbox.

#### EditorAPIsPage.on_prepareApiButton_clicked

on_prepareApiButton_clicked()

Private slot to prepare the API file for the currently selected language.

#### EditorAPIsPage.save

save()

Public slot to save the Editor APIs configuration.

#### EditorAPIsPage.saveState

saveState()

Public method to save the current state of the widget.

Returns:
  index of the selected lexer language (integer)

#### EditorAPIsPage.setState

setState(state)

Public method to set the state of the widget.

state
  state data generated by saveState

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up